Bug 240034 - [PATCH] security/passivedns: bump version to 1.2.1 with patches
Summary: [PATCH] security/passivedns: bump version to 1.2.1 with patches
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-22 11:49 UTC by lytboris
Modified: 2019-09-14 16:05 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (shadowbq)


Attachments
v1 (1.18 KB, patch)
2019-08-22 11:49 UTC, lytboris
no flags Details | Diff
patch to move to version 1.1.3.125 (1.06 KB, patch)
2019-08-22 20:35 UTC, Jason Helfman
no flags Details | Diff
patch to move to version 1.1.3.125 (946 bytes, text/plain)
2019-08-22 20:42 UTC, Jason Helfman
no flags Details
update to version 1.2.1.10 (1.27 KB, patch)
2019-09-10 16:20 UTC, Jason Helfman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lytboris 2019-08-22 11:49:15 UTC
Created attachment 206787 [details]
v1

Tagged version 1.2.1 is a bit messy: tag created in 2017, pushed in 2018 and does not cover a number of fixes that are needed to build software.

Thus p suffix (=patched) is added to version.
Comment 1 Jason Helfman freebsd_committer 2019-08-22 20:35:43 UTC
Created attachment 206799 [details]
patch to move to version 1.1.3.125
Comment 2 Jason Helfman freebsd_committer 2019-08-22 20:36:51 UTC
This patch accomplishes the same goal, but uses more standards of the ports infrastructure.

My patch says let's use version 1.1.3 that has had 125 commits to master since it was released, and pull commit e126cbb.
Comment 3 Jason Helfman freebsd_committer 2019-08-22 20:42:08 UTC
Created attachment 206800 [details]
patch to move to version 1.1.3.125

Updated patch.
Comment 4 Jason Helfman freebsd_committer 2019-09-10 16:20:16 UTC
Created attachment 207349 [details]
update to version 1.2.1.10

I flipped to desired version, but added additional patches for same desired output. Also shifted USES in Makefile.

-jgh
Comment 5 commit-hook freebsd_committer 2019-09-14 16:05:05 UTC
A commit references this bug:

Author: jgh
Date: Sat Sep 14 16:04:41 UTC 2019
New revision: 512032
URL: https://svnweb.freebsd.org/changeset/ports/512032

Log:
  - update to 1.2.1.10
  - pet portlint on USES

  PR:		240034 (based on)
  Submitted by:	lytboris@gmail.com
  Approved by:	shadowbq@gmail.com (maintainer timeout)

Changes:
  head/security/passivedns/Makefile
  head/security/passivedns/distinfo
Comment 6 Jason Helfman freebsd_committer 2019-09-14 16:05:42 UTC
Thanks for your contribution!